# Record Class LFileModelEventError

java.lang.Object
java.lang.Record
com.io7m.laurel.filemodel.LFileModelEventError

Record Components:
  `message` - The message
  `progress` - The progress
  `errorCode` - The error code
  `attributes` - The attributes
  `remediatingAction` - The remediating action
  `exception` - The exception

All Implemented Interfaces:
  `LFileModelEventType, com.io7m.seltzer.api.SStructuredErrorType<String>`

public record LFileModelEventError(String message, OptionalDouble progress, String errorCode, Map<String,String> attributes, Optional<String> remediatingAction, Optional<Throwable> exception) extends Record implements LFileModelEventType, com.io7m.seltzer.api.SStructuredErrorType<String>
A model event that represents an error.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LFileModelEventError(String message, OptionalDouble progress, String errorCode, Map<String,String> attributes, Optional<String> remediatingAction, Optional<Throwable> exception)`
  A model event that represents an error.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `attributes()`
  Returns the value of the `attributes` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `errorCode()`
  Returns the value of the `errorCode` record component.
  `Optional<Throwable>`
  `exception()`
  Returns the value of the `exception` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `OptionalDouble`
  `progress()`
  Returns the value of the `progress` record component.
  `Optional<String>`
  `remediatingAction()`
  Returns the value of the `remediatingAction` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LFileModelEventError

    public LFileModelEventError(String message, OptionalDouble progress, String errorCode, Map<String,String> attributes, Optional<String> remediatingAction, Optional<Throwable> exception)
    A model event that represents an error.
    Parameters:
      `message` - The message
      `progress` - The progress
      `errorCode` - The error code
      `attributes` - The attributes
      `remediatingAction` - The remediating action
      `exception` - The exception

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Specified by:
      `message` in interface `LFileModelEventType`
    Specified by:
      `message` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`
    Returns:
      the value of the `message` record component

  - ### progress

    public OptionalDouble progress()
    Returns the value of the `progress` record component.
    Specified by:
      `progress` in interface `LFileModelEventType`
    Returns:
      the value of the `progress` record component

  - ### errorCode

    public String errorCode()
    Returns the value of the `errorCode` record component.
    Specified by:
      `errorCode` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`
    Returns:
      the value of the `errorCode` record component

  - ### attributes

    public Map<String,String> attributes()
    Returns the value of the `attributes` record component.
    Specified by:
      `attributes` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`
    Returns:
      the value of the `attributes` record component

  - ### remediatingAction

    public Optional<String> remediatingAction()
    Returns the value of the `remediatingAction` record component.
    Specified by:
      `remediatingAction` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`
    Returns:
      the value of the `remediatingAction` record component

  - ### exception

    public Optional<Throwable> exception()
    Returns the value of the `exception` record component.
    Specified by:
      `exception` in interface `com.io7m.seltzer.api.SStructuredErrorType<String>`
    Returns:
      the value of the `exception` record component